Forgot Password
Sends an email to a user with a reset password link. This API is invoked when a user initiates the forgot password flow on the app of a business.
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAccept
- Language Preferred language
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: objectuser
Responses
- application/json
- application/json
- application/json
Request Example for post/api2/mobile/users/forgot_password
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/users/forgot_password \
--request POST \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Accept-Language: en' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE",
"user": {
"email": "test@example.com"
}
}'
{}